%global commit b978eb5733176680c03e7ee16ccaa33433e59d95
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libopenblox
Version:        0.1.1
Release:        6.git%{shortcommit}%{?dist}
Summary:        The core of the OpenBlox game engine.

License:        LGPLv3+
URL:            https://git.openblox.org/openblox/libopenblox/
Source0:        https://git.openblox.org/openblox/libopenblox/-/archive/%{commit}/libopenblox-%{commit}.tar.gz

BuildRequires:  gcc-c++ autoconf autoconf-archive automake libtool make
BuildRequires:  irrlicht-devel SDL2-devel libcurl-devel pugixml-devel bullet-devel enet-devel

%if 0%{?epel:1}
BuildRequires:  lua53-devel
Requires:       lua53
%else
BuildRequires:  lua-devel
Requires:       lua
%endif

Requires:       irrlicht SDL2 libcurl pugixml bullet enet

%description
The core of the OpenBlox game engine, a library which handles the core
logic of the engine. This library is used by the OpenBlox reference
client `openblox` as well as the integrated development environment,
`openblox-studio`.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header files for
developing applications that use %{name}.

%prep
%setup -q -n libopenblox-%{commit}/

%build
./autoconf.sh

%if 0%{?epel:1}
# Because you have to set LENET_CFLAGS, and I can't seem to get LLUA_CLFAGS to work
export LENET_CFLAGS="-I/opt/lua-5.3/include"
export LENET_LIBS="-lenet"

export LLUA_CFLAGS="-I/opt/lua-5.3/include"
%if %{__isa_bits} == 64
export LLUA_LIBS="-L/opt/lua-5.3/lib64 -llua-5.3"
export LDFLAGS="$LDFLAGS -L/opt/lua-5.3/lib64"
%else
export LLUA_LIBS="-L/opt/lua-5.3/lib -llua-5.3"
export LDFLAGS="$LDFLAGS -L/opt/lua-5.3/lib"
%endif

%configure --with-lua=lua-5.3
%else

%configure

%endif

make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm $RPM_BUILD_ROOT%{_libdir}/libopenblox.a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/libopenblox.so.0.0.0
%{_libdir}/libopenblox.so.0
%{_libdir}/libopenblox.so
%{_mandir}/man3/libopenblox.3.gz

%files devel
%{_includedir}/openblox/
%{_libdir}/pkgconfig/libopenblox.pc

%changelog
* Sat Nov 17 2018 John Harris <johnmh@splentity.com> - 0.1.1-7
- Another go at building for EPEL

* Sat Nov 17 2018 John Harris <johnmh@splentity.com> - 0.1.1-6
- Bump revision

* Thu Nov 15 2018 John Harris <johnmh@splentity.com> - 0.1.1-5
- Remove EPEL related attempts

* Thu Nov 15 2018 John Harris <johnmh@splentity.com> - 0.1.1-4
- Add lua 5.3 workaround for EPEL7

* Wed Nov 14 2018 John Harris <johnmh@splentity.com> - 0.1.1-3
- Add workaround for EPEL7

* Wed Nov 14 2018 John Harris <johnmh@splentity.com> - 0.1.1-2
- Specifically include gcc-c++

* Wed Nov 14 2018 John Harris <johnmh@splentity.com> - 0.1.1-1
- Initial packaging of libopenblox
